﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v16.2, Version=16.2.20162.2030, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>


<%@ Register assembly="Infragistics4.Web.v16.2, Version=16.2.20162.2030, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" namespace="Infragistics.Web.UI.ListControls" tagprefix="ig" %>


<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script type="text/javascript" id="igClientScript">

        function WebHierarchicalDataGrid1_CellEditing_EnteringEditMode(sender, eventArgs)
        {
            if (eventArgs.getCell().get_column().get_key() === "Patient First Name") {
                var dropdowneditor2 = ig_controls.ddeditor2;
                var rowIndex =  eventArgs.getCell().get_row().get_index();
                dropdowneditor2.loadItems(rowIndex, false);
            }
        }
</script>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <div>
        <ig:WebHierarchicalDataGrid ID="WebHierarchicalDataGrid1" 
            runat="server" Height="350px" Width="100%"
            DataKeyFields="Claim Number" DataMember="ParentTable" AutoGenerateColumns="False">
           
            <EditorProviders>
                <ig:DropDownProvider ID="dd2">
                    <EditorControl ID="ddeditor2" ClientIDMode="Static" Width="200px"
                          OnItemsRequested="ddeditor1_ItemsRequested" DropDownContainerMaxHeight="200px" EnableAnimations="False" EnableDropDownAsChild="False">
                        <ClientEvents DropDownOpening="WebHierarchicalDataGrid1_DropDown_DropDownOpening" />
                    </EditorControl>
                </ig:DropDownProvider>
            </EditorProviders>

            <Columns>
                <ig:BoundDataField DataFieldName="Claim Number" Key="Claim Number">
                    <Header Text="Claim Number">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Patient Last Name" Key="Patient Last Name">
                    <Header Text="Patient Last Name">
                    </Header>
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="Patient First Name" Key="Patient First Name">
                    <Header Text="Patient First Name">
                    </Header>
                </ig:BoundDataField>
            </Columns>

            <Behaviors>
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing>
                            <ColumnSettings>
                                <ig:EditingColumnSetting ColumnKey="Patient First Name" EditorID="dd2" />
                            </ColumnSettings>
                            <CellEditingClientEvents EnteringEditMode="WebHierarchicalDataGrid1_CellEditing_EnteringEditMode" />
                        </ig:CellEditing>
                    </Behaviors>
                </ig:EditingCore>
            </Behaviors>
        
        </ig:WebHierarchicalDataGrid>
    </div>
    </form>
</body>
</html>
